#include "xweapondef.h"

XWeaponDef::XWeaponDef()
    : XAsset()
{
    SetType(ASSET_TYPE_WEAPON);
    SetName("Weapon");
}

XWeaponDef::~XWeaponDef()
{

}

void XWeaponDef::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        mInternalName = XString::ParseCustom(aStream);
        mDisplayName = XString::ParseCustom(aStream);
        mOverlayName = XString::ParseCustom(aStream);
    }
}

void XWeaponDef::Clear()
{

}
